Subject: bug#26608: channels.scm supporting substitutes

From: Nome Grey <[email-masked]>
Date: Tue, 3 Dec 2019 09:55:41 -0800

Ludovic posted some channels.scm code in September 2018 supporting using
more substitutes.  Unfortunately his code no longer functions due to an
upgrade of guile-json in guix.

I've tried to learn enough guile to upgrade the code to the newer json
structures, and posted my changes to github at
https://github.com/nomr72/guix-substitutes-channel .  It seems to run again
now.

Maybe I can learn enough to upgrade it to check the 'guix-master'
evaluations to find the latest build of key packages.  We'll see.